language: go

go:
  - 1.10.x

script:
  # build test for supported platforms
  - GOOS=linux go build
  - GOOS=darwin go build
  - GOOS=freebsd go build
  - GOOS=windows go build

  # run tests on a standard platform
  - go test -v ./... -coverprofile=coverage.txt -covermode=atomic
  - go test -v ./... -race

after_success:
  # Upload coverage results to codecov.io
  - bash <(curl -s https://codecov.io/bash)
